#!/bin/bash
set -e # 如果构建失败，则退出，不能删除旧的包
if [ "$#" -ne 1 ] ; then
  echo "Usage: $0 BUILD_ENV" >&2
  exit 1
fi

pwd

echo “build env: $1”

pwd

npm install
npm run build

mkdir -p ~/project/exam-reserve/static/wap/temp
cp -r  dist ~/project/exam-reserve/static/wap/temp

cd ~/project/exam-reserve/static/wap
if [ -d "dist" ]; then
  rm -rf dist/*
fi

mkdir -p dist

mv temp/dist/* dist/
rm -rf temp
echo "ok..."
