import request from "@/api/apiConfig";

//获取系统常用属性
export function getProperties() {
  return request({
    url: "/api/student/system/properties",
    method: "post",
    noAuth: true,
  });
}

//该接口是假的，待后续有相关需求时，再替换成真实接口
export function getJSSDKConfigs(url) {
  return request({
    url: "/api/common/jssdkConfigs",
    method: "post",
    data: { url },
  });
}
/**
 * @description 该方法不适用，因为获取openid是后端做的事情，且要在公众号内配置ip白名单，才能对该接口调用成功
 * @param appid
 * @param secret
 * @param code
 * @return
 * @date 2024-04-02
 */
export function getOpenId({
  appId,
  secret,
  code,
  grant_type = "authorization_code",
}) {
  return request({
    url: `https://api.weixin.qq.com/sns/oauth2/access_token?appid=${appId}&secret=${secret}&code=${code}&grant_type=${grant_type}`,
    method: "get",
  });
}
