import { defineStore } from "pinia";
import { getProperties } from "@/api/common";

const useAppStore = defineStore("app", {
  state: () => ({
    globalConfig: null,
  }),
  actions: {
    async getGlobalConfig() {
      let res = await getProperties().catch(() => {});
      if (Object.prototype.toString.call(res) === "[object Object]") {
        this.globalConfig = res;
        return res;
      }
      return null;
    },
  },
});
export default useAppStore;
